function openBMap(lon, lat, title, address) {
	var url = null,
		id = null,
		f = null;
	address = address == '' ? title : address;
	switch(plus.os.name) {
		case "Android":
			// 规范参考官方网站：http://developer.baidu.com/map/index.php?title=uri/api/android
			url = "baidumap://map/marker?location=" + lat + "," + lon + "&title=" + title + "&content=" + address + "&src=wz";
			id = "com.baidu.BaiduMap";
			break;
		case "iOS":
			// 规范参考官方网站：http://developer.baidu.com/map/index.php?title=uri/api/ios
			url = "baidumap://map/marker?location=" + lat + "," + lon + "&title=" + title + "&content=" + address + "&src=wz";
			id = "https://itunes.apple.com/cn/app/%E7%99%BE%E5%BA%A6%E5%9C%B0%E5%9B%BE-%E6%99%BA%E8%83%BD%E5%AF%BC%E8%88%AA%E8%B7%AF%E7%BA%BF%E8%A7%84%E5%88%92%E6%97%85%E6%B8%B8%E5%87%BA%E8%A1%8C/id452186370?mt=8";
			break;
		default:
			return;
			break;
	};
	url = encodeURI(url); //重点在这一句，如果不加，android没问题，但是ios打不开，每次提示未安装，所以同学们要注意了
	plus.runtime.openURL(url, function(e) {
		plus.nativeUI.confirm("检查到您未安装百度地图，是否到商城搜索下载？", function(i) {
			if(i.index == 0) {
				plus.runtime.openURL(id);
			}
		});
	});
}