const mmr_pay = function(_order_id,payid,pagehtml,Interface) {

	var pays = {};
	// 获取支付通道
	plus.payment.getChannels(function(channels) {
		for(var i in channels) {
			var channel = channels[i];
			if(channel.id == 'qhpay' || channel.id == 'qihoo') { // 过滤掉不支持的支付通道：暂不支持360相关支付
				continue;
			}
			pays[channel.id] = channel;
			checkServices(channel);
		}
	}, function(e) {
		mui.alert('获取支付未成功');
	});
	// 检测是否安装支付服务
	function checkServices(pc) {
		if(!pc.serviceReady) {
			var txt = null;
			switch(pc.id) {
				case 'alipay':
					txt = '检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？';
					break;
				default:
					txt = '系统未安装“' + pc.description + '”服务，无法完成支付，是否立即安装？';
					break;
			}
			plus.nativeUI.confirm(txt, function(e) {
				if(e.index == 0) {
					pc.installService();
				}
			}, pc.description);
		}
	}

	// 支付		
	toolkit.net.web_post(payid+Interface, {id:_order_id}, function(data) {
//		console.log(_order_id);
//		console.log(JSON.stringify(data.orderString));
//		console.log(JSON.stringify(pays[payid]));
//		成功调取支付
		plus.payment.request(pays[payid],data.orderString,function(result) {
			//跳到订单列表页面
			mui.toast('支付成功');
//			console.log(JSON.stringify(result));
//			支付成功
			mui.openWindow({
				url: pagehtml,
				id: pagehtml,
				extras:{
					_order_id:_order_id
				}
			});			
		}, function(e) {
			mui.alert("支付失败，您已取消支付或支付出现异常");
		});
	}, function(error) {
		mui.toast(error.msg)
	})
}